#!/bin/sh

AEGIS_ID="signon_aegis_default_key_storage:Pe"
BACKUP_DIR="/tmp/.signon_aegis_default_key_storage"

if [ "$1" == "backup" ]; then
	mkdir -p "$BACKUP_DIR"
	apscli -s "$AEGIS_ID" -lu > "$BACKUP_DIR/files.list"
	chown user.users "$BACKUP_DIR/files.list"
	while read i
	do
		cp "$i" "$BACKUP_DIR/"
		NAME=$(basename "$i")
		chown user.users "$BACKUP_DIR/$NAME"
	done < "$BACKUP_DIR/files.list"
else # restore

	sed 's|/var/lib/aegis|/home/user/.aegis|' < "$BACKUP_DIR/files.list" > "$BACKUP_DIR/new_files.list"
	while read i
	do
		NAME=$(basename "$i")
		cp "$BACKUP_DIR/$NAME" "$i"
	done < "$BACKUP_DIR/new_files.list"
fi

